<?php

setlocale(LC_ALL, "ru_RU");

require 'vendor/autoload.php';

use smusatov\bzb2u\{Label, Printer, Render\Text, Render\Text\Line};

$label = new Label(30, 20, 2);
$printer = new Printer($label, '/dev/usb/lp2');

$texts = [
  ['Стяжка', 'межсекционная'],
//  ['Шкант'],
  ['КОНФИРМАТ'],
  ['ПОДШИПНИК'],
//  ['Заклепка', 'вытяжная'],
//  ['Болт', 'М3'],
//  ['Болт', 'М4'],
  ['Болт', 'М5'],
//  ['Болт', 'М6'],
//  ['Болт', 'М8'],
//  ['Болт', 'М10'],
//  ['Гайка', 'М3'],
//  ['Гайка', 'М4'],
//  ['Гайка', 'М5'],
//  ['Гайка', 'М6'],
//  ['Гайка', 'М8'],
  ['Гайка', 'М10'],
  ['Винт', 'М3'],
//  ['Винт', 'М4'],
//  ['Винт', 'М5'],
//  ['Винт', 'М6'],
//  ['Винт', 'М8'],
//  ['Винт', 'М10'],
//  ['Шайба', 'М3'],
//  ['Шайба', 'М4'],
//  ['Шайба', 'М5'],
  ['Шайба', 'М6'],
//  ['Шайба', 'М8'],
//  ['Шайба', 'М10'],
];

$printer->back(52);
$printer->feedForm();
$printer->back(1);

foreach($texts as $t) {
    $text = new Text($label);

    $t[0] = trim(mb_strtoupper($t[0]));
    $line = new Line($t[0]);
//    $line->setFontBold();
    $text->addLine($line);

    if(!empty($t[1])) {
        $t[1] = trim($t[1]);

        $line = new Line($t[1]);
        $line->setFontThin();
        $text->addLine($line);
    }

    $printer->printLines($text->render());
    $printer->feedForm();
}

$printer->forward(45);
