<?php

namespace smusatov\bzb2u;

class Label
{
    protected float $width;
    protected float $height;
    protected float $gap;
    protected float $offsetTop = 1;
    protected float $offsetRight = 1;
    protected float $offsetBottom = 1;
    protected float $offsetLeft = 1;

    public function __construct(float $width, float $height, float $gap)
    {
        $this->width = $width;
        $this->height = $height;
        $this->gap = $gap;
    }

    public function setOffset(float $offsetTop, float $offsetRight, float $offsetBottom, float $offsetLeft)
    {
        $this->offsetTop = $offsetTop;
        $this->offsetRight = $offsetRight;
        $this->offsetBottom = $offsetBottom;
        $this->offsetLeft = $offsetLeft;
    }

    public function getWidth(): float
    {
        return $this->width;
    }

    public function getHeight(): float
    {
        return $this->height;
    }

    public function getGap(): float
    {
        return $this->gap;
    }

    public function getOffsetTop(): float
    {
        return $this->offsetTop;
    }

    public function getOffsetRight(): float
    {
        return $this->offsetRight;
    }

    public function getOffsetBottom(): float
    {
        return $this->offsetBottom;
    }

    public function getOffsetLeft(): float
    {
        return $this->offsetLeft;
    }

}